Package twisted :: Package im :: Module tocsupport :: Class TOCPerson |
[frames | no frames]

## Class TOCPerson

    AbstractPerson --+
                     |
                    TOCPerson

Method Summary
| ``getIdleTime`(self)` Returns a string.
| `getStatus(self)`
| `isOnline(self)`
| `sendMessage(self, text, meta)`
| `setStatusAndIdle(self, status, idletime)`
Inherited from AbstractPerson
| ``__init__`(self, name, baseAccount)`
| ``__repr__`(self)`
| ``__str__`(self)`
| ``getPersonCommands`(self)` finds person commands

Method Details

### getIdleTime(self) Returns a string. Overrides: `twisted.im.basesupport.AbstractPerson.getIdleTime` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net